# WorkQueue

interface WorkQueue

Represents a queue of work items with a uniform set of worker requirements. Note that this object is not thread-safe.

#### Since

5.6

## Functions

await
Link copied to clipboard
abstract fun await()
Blocks until all work associated with this queue is complete.
submit
Link copied to clipboard
abstract fun <T : WorkParameters?> submit(workActionClass: Class<out WorkAction<T>>, parameterAction: Action<in T>)
Submits a piece of work to be executed asynchronously.
submit
Link copied to clipboard
inline fun <T : WorkParameters> WorkQueue.submit(workActionClass: KClass<out WorkAction<T>>, parameterAction: Action<in T>)

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.workers.WorkQueue.submit.